public interface CustomAPISettingsOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getAuthenticationCase()
public abstract CustomAPISettings.AuthenticationCase getAuthenticationCase()| Returns | |
|---|---|
| Type | Description |
CustomAPISettings.AuthenticationCase |
|
getBaseUrl()
public abstract String getBaseUrl()Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The baseUrl. |
getBaseUrlBytes()
public abstract ByteString getBaseUrlBytes()Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for baseUrl. |
getBasicAuth()
public abstract UsernameSecretAuth getBasicAuth()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
UsernameSecretAuth |
The basicAuth. |
getBasicAuthOrBuilder()
public abstract UsernameSecretAuthOrBuilder getBasicAuthOrBuilder()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
UsernameSecretAuthOrBuilder |
|
getHeaderAuth()
public abstract CustomAPIHeaderAuth getHeaderAuth()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
CustomAPIHeaderAuth |
The headerAuth. |
getHeaderAuthOrBuilder()
public abstract CustomAPIHeaderAuthOrBuilder getHeaderAuthOrBuilder()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
CustomAPIHeaderAuthOrBuilder |
|
getNoAuth()
public abstract CustomAPINoAuth getNoAuth()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
CustomAPINoAuth |
The noAuth. |
getNoAuthOrBuilder()
public abstract CustomAPINoAuthOrBuilder getNoAuthOrBuilder()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
CustomAPINoAuthOrBuilder |
|
getOauthClientCredentials()
public abstract OAuthClientCredentials getOauthClientCredentials()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
OAuthClientCredentials |
The oauthClientCredentials. |
getOauthClientCredentialsOrBuilder()
public abstract OAuthClientCredentialsOrBuilder getOauthClientCredentialsOrBuilder()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
OAuthClientCredentialsOrBuilder |
|
getPollingFrequency()
public abstract int getPollingFrequency()Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).
int32 polling_frequency = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
The pollingFrequency. |
getPrimaryRequest()
public abstract CustomAPITransferNode getPrimaryRequest()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPITransferNode |
The primaryRequest. |
getPrimaryRequestOrBuilder()
public abstract CustomAPITransferNodeOrBuilder getPrimaryRequestOrBuilder()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPITransferNodeOrBuilder |
|
getQueryAuth()
public abstract CustomAPIQueryAuth getQueryAuth()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
The queryAuth. |
getQueryAuthOrBuilder()
public abstract CustomAPIQueryAuthOrBuilder getQueryAuthOrBuilder()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuthOrBuilder |
|
hasBasicAuth()
public abstract boolean hasBasicAuth()Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the basicAuth field is set. |
hasHeaderAuth()
public abstract boolean hasHeaderAuth()Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the headerAuth field is set. |
hasNoAuth()
public abstract boolean hasNoAuth()Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the noAuth field is set. |
hasOauthClientCredentials()
public abstract boolean hasOauthClientCredentials()Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the oauthClientCredentials field is set. |
hasPrimaryRequest()
public abstract boolean hasPrimaryRequest()Required. Configure the initial API call used to fetch the main list of logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the primaryRequest field is set. |
hasQueryAuth()
public abstract boolean hasQueryAuth()Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the queryAuth field is set. |